Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226293 - Merge Review: pfmon
Summary: Merge Review: pfmon
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:39 UTC by Nobody's working on this, feel free to take it
Modified: 2010-07-19 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-19 10:41:53 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:39:44 UTC
Fedora Merge Review: pfmon

http://cvs.fedora.redhat.com/viewcvs/devel/pfmon/
Initial Owner: wcohen@redhat.com

Comment 1 William Cohen 2007-05-21 16:33:50 UTC
Someone else needs to do the review. However, there are a couple things that can
be fixed based on rpmlint:

$ rpmlint pfmon-3.2-0.061205.1.fc8.src.rpm 
W: pfmon summary-not-capitalized a performance monitoring tool for Linux/ia64
W: pfmon no-url-tag
W: pfmon hardcoded-path-in-buildroot-tag /var/tmp/pfmon-root
W: pfmon buildprereq-use elfutils-devel
W: pfmon buildprereq-use binutils-devel
W: pfmon buildprereq-use libpfm >= 3.2-0.061205
W: pfmon buildprereq-use libpfm-devel >= 3.2-0.061205
W: pfmon rpm-buildroot-usage %build make        PREFIX=/usr DESTDIR=%{buildroot} \


Have fixes for all of the above warnings with the exception of the
rpm-buildroot-usage.


Comment 2 Patrice Dumas 2007-11-14 23:25:19 UTC
Many comments of lipfm are valid here. 

Additionaly the Buildrequires should be

BuildRequires: libpfm-devel >= 3.2-0.071017


Regarding the 
W: pfmon rpm-buildroot-usage %build make        PREFIX=/usr DESTDIR=%{buildroot} \
it is because in %build DESTDIR=%{buildroot} shouldnt be useful nor used.
The other flags should also be checked, since some may only be
useful in %install.

Comment 3 Thomas Spura 2010-07-19 10:41:53 UTC
According to:
http://cvs.fedoraproject.org/viewvc/devel/pfmon/dead.package?view=log

this is obsoleted by perf.


-> WONTFIX


Note You need to log in before you can comment on or make changes to this bug.